Edit Sandbox using YAML

  • PATCH
  • /workspaces
  • /:workspace
  • /sandboxes
  • /:sandbox_id
  • /yaml

Update sandbox configuration using YAML

Request

REQUIRED SCOPES
SANDBOX_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

sandbox_idrequiredstring
The ID of the sandbox

Example: "sb-1234567890abcdef"

POST PARAMETERS
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
yamlstring
The base64-encoded YAML configuration of the sandbox

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the sandbox
identifierstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).
namestring
The name of the sandbox
statusstring enum
The current status of the sandbox
Allowed enum:
STARTING,
STOPPING,
FAILED,
RUNNING,
STOPPED,
RESTORING
setup_statusstring enum
The current setup status of the sandbox
Allowed enum:
INPROGRESS,
SUCCESS,
FAILED,
STALE
osstring
The operating system of the sandbox ["ubuntu:22.04", "ubuntu:24.04"]
resourcesstring enum
The resource configuration of the sandbox (CPU x RAM)
Allowed enum:
1x2,
2x4,
3x6,
4x8,
5x10,
6x12,
7x14,
8x16,
9x18,
10x20,
11x22,
12x24,
CUSTOM
first_boot_commandsstring
The commands to run during first boot of the sandbox
app_dirstring
The application directory of the sandbox
appsSandboxAppView[]
The list of apps (run commands) for the sandbox
timeoutinteger
The timeout in seconds after which the sandbox will be automatically stopped
tagsstring[]
The list of tags associated with the sandbox
boot_logsstring[]
The boot logs of the sandbox
endpointsTunnelView[]
The tunnel endpoints of the sandbox
ssh_hoststring
The SSH hostname
ssh_portinteger
The SSH port
projectProjectView
permissionsPermissionsView
Access permissions configuration
variablesEnvironmentVariableView[]
The environment variables of the sandbox

Last modified on Jan 26, 2026

Request example

curl -X PATCH "https://api.buddy.works/workspaces/:workspace/sandboxes/:sandbox_id/yaml" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "yaml": "LSBzYW5kYm94OiBteS1hcGktc2FuZGJveAogIG5hbWU6IE15IEFQSSBEZXZlbG9wbWVudCBTYW5kYm94CiAgb3M6IHVidW50dToyNC4wNAogIHJlc291cmNlczogMng0CiAgaW5zdGFsbF9jb21tYW5kczogbnBtIGluc3RhbGwgJiYgbnBtIHJ1biBidWlsZAogIGFwcHM6CiAgLSBucG0gc3RhcnQKICBhcHBfZGlyOiAvYXBwCiAgZW5kcG9pbnRzOgogIC0gbmFtZTogd3d3CiAgICBlbmRwb2ludDogODAKICAgIHR5cGU6IEhUVFAKICAgIHJlZ2lvbjogRVUKICAgIHRpbWVvdXQ6IDMwCiAgICBodHRwOgogICAgICB2ZXJpZnlfY2VydGlmaWNhdGU6IHRydWUKICAgICAgY29tcHJlc3Npb246IHRydWUKICAgICAgaHR0cDI6IHRydWUKICAgICAgbG9nX3JlcXVlc3RzOiB0cnVlCiAgICAgIGNpcmN1aXRfYnJlYWtlcjogNQogICAgICBzZXJ2ZV9wYXRoOiAvYXBpCg==" }'